Public Member Functions | Public Attributes | List of all members
PowerPoint7TextInternal::State Struct Reference

Internal: the state of a PowerPoint7Text. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
std::string | m_fontFamily
| the basic pc font family if known More...
std::map< int, int > | m_fileIdFontIdMap
| a local id to final id font map More...
std::map< int, Ruler > | m_idToRulerMap
| a local id to ruler id map More...
std::map< int, int > | m_fieldIdToFormatIdMap
| a field id to format id map More...
std::vector< shared_ptr< TextZone > > | m_textZoneList
| the list of text zone More...

## Detailed Description

Internal: the state of a PowerPoint7Text.

## Constructor & Destructor Documentation

## ◆ State()

PowerPoint7TextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_fieldIdToFormatIdMap

std::map<int,int> PowerPoint7TextInternal::State::m_fieldIdToFormatIdMap

a field id to format id map

## ◆ m_fileIdFontIdMap

std::map<int,int> PowerPoint7TextInternal::State::m_fileIdFontIdMap

a local id to final id font map

## ◆ m_fontFamily

std::string PowerPoint7TextInternal::State::m_fontFamily

the basic pc font family if known

## ◆ m_idToRulerMap

std::map<int,Ruler> PowerPoint7TextInternal::State::m_idToRulerMap

a local id to ruler id map

## ◆ m_textZoneList

std::vector<shared_ptr<TextZone> > PowerPoint7TextInternal::State::m_textZoneList

the list of text zone

The documentation for this struct was generated from the following file:

- PowerPoint7Text.cxx